Autor Tema: [Falla envío mail-ssl] Migración de proyecto en toba 2.6-php5.4 a toba3.3-php7.3  (Leído 333 veces)

0 Usuarios y 1 Visitante están viendo este tema.

mmonica

  • Newbie
  • *
  • Mensajes: 26
    • Ver Perfil
Hola,
Quisiera consultarles sobre el envio de email. Migrando un proyecto a la versión de toba3.3.20, con php7.3.32, se obtienen los siguientes errores:

Connection: opening to ssl://...............:465, timeout=300, options=array()
Connection failed. Error #2: stream_socket_client(): SSL operation failed with code 1. OpenSSL Error messages:error:1416F086:SSL routines:tls_process_server_certificate:certificate verify failed [C:\Toba3\vendor\phpmailer\phpmailer\src\SMTP.php line 387]
Connection failed. Error #2: stream_socket_client(): Failed to enable crypto [C:\Toba3\vendor\phpmailer\phpmailer\src\SMTP.php line 387]
Connection failed. Error #2: stream_socket_client(): unable to connect to ssl://...............:465 (Unknown error) [C:\Toba3\vendor\phpmailer\phpmailer\src\SMTP.php line 387]
SMTP ERROR: Failed to connect to server: (0)
SMTP connect() failed. https://github.com/PHPMailer/PHPMailer/wiki/Troubleshooting
Error: SMTP connect() failed. https://github.com/PHPMailer/PHPMailer/wiki/Troubleshooting

Lo solucioné agregando las siguientes opciones, aunque no es lo recomendado por razones de seguridad...
$mail->SMTPOptions = [
    'ssl' => [
        'verify_peer' => false,
        'verify_peer_name' => false,
        'allow_self_signed' => true,
    ]
];
Lo raro, es que teniendo la misma configuracion en smtp.ini, instalacion.ini con la versión vieja de toba, el envío de email funciona correctamente y en la nueva versión falla.
Alguna otra sugerencia?
Desde ya, muchas gracias!
Saludos,
Mony.
« Última Modificación: Noviembre 19, 2021, 11:23:22 am por mmonica »

richard

  • Moderador Global
  • *****
  • Mensajes: 3035
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: Ricardo Dalinger
  • Sistema: SIU-Toba
Re:[Falla envío mail-ssl] Migración de proyecto en toba 2.6-php5.4 a toba3.3-php7.3
« Respuesta #1 on: Noviembre 23, 2021, 04:16:00 pm »
Hola Mony,

las distintas versiones de Toba van actualizando las librerias ante reportes de vulnerabilidades y fixes, de acuerdo al salto que estes pegando entre versiones puede que ademas tengas cambios de comportamiento si es que para solucionar un problema de seguridad se tuvo que saltar mas de una version de la libreria.

En gral intento que las actualizaciones se den dentro de la misma rama de la libreria... PHPMailer en particular tuvo un salto importante respecto de la version que veniamos manteniendo en la rama 3.3.x, decidi dar dicho salto porque la vulnerabilidad fixeada era lo suficientemente grave como para que cualquier efecto secundario fuera un detalle.

Saludos
Twitter es al incontinente verbal,  lo que los dulces al diabetico.

mfalemany

  • Newbie
  • *
  • Mensajes: 37
    • Ver Perfil
    • Email
  • Institución: Facultad de Ciencias Agrarias - UNNE
  • Nombre y apellido: Marcelo Federico Alemany
  • Utilizo algun sistéma del SIU: Sí
Buenas! Tengo que migrar de Toba 2.7 a una versión reciente (si es posible 3.3). Donde encuentro documentación sobre el proceso?
Agradezco su ayuda.
Saludos!
Federico Alemany
Universidad Nacional del Nordeste

jorozco

  • Hero Member
  • *****
  • Mensajes: 896
    • Ver Perfil
    • Email
  • Institución: Universidad Catòlica de Manizales
  • Nombre y apellido: Jhon Jairo Orozco D.
  • Sistema: Toba
Buenos días, en resumen sería:
1. Instalar via composer

EN 2.7
1. Exportar

En 3.3.x
1. Copiar la carpeta del proyecto
2. Ejecutar importar desde -d ".../toba_2_7"
3. Publicar
« Última Modificación: Marzo 21, 2023, 12:03:47 pm por jorozco »

richard

  • Moderador Global
  • *****
  • Mensajes: 3035
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: Ricardo Dalinger
  • Sistema: SIU-Toba
Hola Fernando
Buenas! Tengo que migrar de Toba 2.7 a una versión reciente (si es posible 3.3). Donde encuentro documentación sobre el proceso?

Toda la info necesaria se encuentra en el Readme de Github.

Si te manejas con los comandos administrativos, no vas a tener drama.

Saludos
Twitter es al incontinente verbal,  lo que los dulces al diabetico.